Index: u-boot/board/neo1973/gta02/gta02.c
===================================================================
--- u-boot.orig/board/neo1973/gta02/gta02.c
+++ u-boot/board/neo1973/gta02/gta02.c
@@ -170,26 +170,35 @@
 	gpio->GPBCON = 0x00155555;
 	gpio->GPBUP = 0x000007FF;
 
+	/* pulldown on "PIO_5" BT module to stop float when unpowered */
 	gpio->GPCCON = 0x55555155;
-	gpio->GPCUP = 0x0000FFFF;
+	gpio->GPCUP = 0x0000FFFF & ~(1 << 5);
 
 	gpio->GPDCON = 0x55555555;
 	gpio->GPDUP = 0x0000FFFF;
 
+	/* pulldown on GPE11 / SPIMISO0 - goes to debug board and will float */
 	gpio->GPECON = 0xAAAAAAAA;
-	gpio->GPEUP = 0x0000FFFF;
+	gpio->GPEUP = 0x0000FFFF & ~(1 << 11);
 
+	/* pulldown on GPF03: TP-4705+debug - debug conn will float */
 	gpio->GPFCON = 0x0000AAAA;
-	gpio->GPFUP = 0x000000FF;
+	gpio->GPFUP = 0x000000FF & ~(1 << 3);
 
 	gpio->GPGCON = 0x01AAFE79;
 	gpio->GPGUP = 0x0000FFFF;
 
+	/* pulldown on GPH08: UEXTCLK, just floats!
+	 * pulldown GPH0 -- nCTS0 / RTS_MODEM -- floats when GSM off
+	 * pulldown GPH3 -- RXD[0] / TX_MODEM -- floats when GSM off
+	 */
 	gpio->GPHCON = 0x001AAAAA;
-	gpio->GPHUP = 0x000007FF;
+	gpio->GPHUP = 0x000007FF & ~(1 << 8) & ~(1 << 0) & ~(1 << 3);
 
+	/* pulldown on GPJ00: input, just floats! */
+	/* pulldown on GPJ07: WLAN module WLAN_GPIO0, no ext pull */
 	gpio->GPJCON = 0x1551544;
-	gpio->GPJUP = 0x1ffff;
+	gpio->GPJUP = 0x1ffff & ~(1 << 0) & ~(1 << 7);
 	gpio->GPJDAT |= (1 << 4) | (1 << 6);
 					/* Set GPJ4 to high (nGSM_EN) */
 					/* Set GPJ6 to high (nDL_GSM) */
